Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.util
Class Service<T>

    java.lang.Object
      com.thaiopensource.util.Service<T>

    public final class Service<T>

extends Object

Method Summary
`Iterator<T>` | `getProviders()`
`static void` | `main(String[] args)`
`static
`<T> Service<T>`
` | `newInstance(Class<T> cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static <T> Service<T> newInstance(Class<T> cls)

### getProviders

    public Iterator<T> getProviders()

### main

    public static void main(String[] args)
                     throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD